"use strict";
/*!
 * Copyright (c) 2021-present, Okta, Inc. and/or its affiliates. All rights reserved.
 * The Okta software accompanied by this notice is provided pursuant to the Apache License, Version 2.0 (the "License.")
 *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0.
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *
 * See the License for the specific language governing permissions and limitations under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.preset = void 0;
const assertEnv_1 = __importDefault(require("./assertEnv"));
const preset = (api, _opts = {}) => {
    (0, assertEnv_1.default)(api.env());
    const opts = Object.assign({
        env: {},
        react: {},
        odyssey: {},
        typescript: {},
    }, _opts);
    return {
        presets: [
            ["@babel/preset-env", opts.env],
            ["@babel/preset-react", opts.react],
            ["@babel/preset-typescript", opts.typescript],
        ],
    };
};
exports.preset = preset;
